Bug 198867 - bugzilla.redhat.com performance very poor
bugzilla.redhat.com performance very poor
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-14 05:57 EDT by James Hunt
Modified: 2007-04-18 13:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-01 10:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Hunt 2006-07-14 05:57:39 EDT
Description of problem:

bugzilla.redhat.com is consistently slow to load, and particularly slow to
create a bug. This has been the case for a long while now, although I've only
got frustrated enough to raise this bug today! :-)

I think the facility itself is very good, but the performance (whether it be the
back-end database, the hardware hosting it, the web server (ssl, etc), or a
combo) is really not a good advertisement for bugzilla, MySQL, or indeed RHEL.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 David Timms 2006-07-15 22:59:53 EDT
James, are you referring to the time taken from clicking Submit the bug report
until you get the bug submitted page (with the redirect to the submitted report) ?
Comment 2 James Hunt 2006-07-21 06:23:59 EDT
Well, trying not to sound too critical, it's all pretty slow. Queries are slow,
even when you open a bug ("Enter Bug (expert)"), it takes a relatively long time
to load all the values for the fields (for example "product" and "version").

I don't have quantitative data, but it just isn't "snappy", like google, for
example. I realize google doesn't use RDBMS's for it's search, but I'd still
expect subsecond query response time. I realize SSL adds a major overhead though.
Comment 3 David Lawrence 2006-08-01 10:47:50 EDT
Moving to new server in the coming weeks. Please stay tuned.

Note You need to log in before you can comment on or make changes to this bug.